Bug 1018799 - [abrt] x11vnc-0.9.13-8.fc19: shm_delete: Process /usr/bin/x11vnc was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] x11vnc-0.9.13-8.fc19: shm_delete: Process /usr/bin/x11vnc was killed b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: x11vnc (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:ba2ed651781733d5ea18df18283...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 08:33 EDT by Marcel Wysocki
Modified: 2015-02-17 12:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:40:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: needinfo?


Attachments (Terms of Use)
File: backtrace (10.39 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: cgroup (142 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: core_backtrace (3.64 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: dso_list (3.50 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: environ (2.67 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: maps (17.64 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: open_fds (461 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: var_log_messages (4.51 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details

  None (edit)
Description Marcel Wysocki 2013-10-14 08:33:20 EDT
Version-Release number of selected component:
x11vnc-0.9.13-8.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        x11vnc -id pick -coe 192.168.168.111:5900 -timeout 5
crash_function: shm_delete
executable:     /usr/bin/x11vnc
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 shm_delete at scan.c:377
 #1 clean_shm at cleanup.c:119
 #2 interrupted at cleanup.c:569
 #4 initialize_xdisplay_fb at screen.c:2838
 #5 do_new_fb at screen.c:1045
 #6 handle_xrandr_change at xrandr.c:180
 #7 handle_subwin_resize at xrandr.c:136
 #8 check_xrandr_event at xrandr.c:192
 #9 scan_display at scan.c:3261
 #10 scan_for_updates at scan.c:3436
Comment 1 Marcel Wysocki 2013-10-14 08:33:24 EDT
Created attachment 811979 [details]
File: backtrace
Comment 2 Marcel Wysocki 2013-10-14 08:33:26 EDT
Created attachment 811981 [details]
File: cgroup
Comment 3 Marcel Wysocki 2013-10-14 08:33:33 EDT
Created attachment 811983 [details]
File: core_backtrace
Comment 4 Marcel Wysocki 2013-10-14 08:33:36 EDT
Created attachment 811985 [details]
File: dso_list
Comment 5 Marcel Wysocki 2013-10-14 08:33:38 EDT
Created attachment 811987 [details]
File: environ
Comment 6 Marcel Wysocki 2013-10-14 08:33:41 EDT
Created attachment 811989 [details]
File: exploitable
Comment 7 Marcel Wysocki 2013-10-14 08:33:44 EDT
Created attachment 811991 [details]
File: limits
Comment 8 Marcel Wysocki 2013-10-14 08:33:47 EDT
Created attachment 811994 [details]
File: maps
Comment 9 Marcel Wysocki 2013-10-14 08:33:50 EDT
Created attachment 811996 [details]
File: open_fds
Comment 10 Marcel Wysocki 2013-10-14 08:33:53 EDT
Created attachment 811997 [details]
File: proc_pid_status
Comment 11 Marcel Wysocki 2013-10-14 08:33:56 EDT
Created attachment 811998 [details]
File: var_log_messages
Comment 12 Pavel Alexeev 2013-10-14 11:06:21 EDT
How to reproduce it?
Comment 13 Fedora End Of Life 2015-01-09 15:14:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 12:40:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.